"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Chip;

require("core-js/modules/web.dom-collections.iterator.js");

require("core-js/modules/es.string.trim.js");

var _react = _interopRequireWildcard(require("react"));

var _chipStyles = require("./chip.styles.js");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function Chip(_ref) {
  let {
    chipColor = "#0000ff"
  } = _ref;
  let [chip, setChip] = (0, _react.useState)([]);

  const HandleDelete = deleteIndex => {
    setChip(chip.filter((_, index) => index !== deleteIndex));
  };

  const HandleOnKeyUp = e => {
    if (e.key === "Enter" || e.key === ",") {
      let value = e.target.value.trim();
      setChip([...chip, value]);
      e.target.value = "";
    }
  };

  return /*#__PURE__*/_react.default.createElement(_chipStyles.Wrapper, {
    chipColor: chipColor
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "chips-input"
  }, /*#__PURE__*/_react.default.createElement("ul", null, chip.map((data, index) => /*#__PURE__*/_react.default.createElement("li", {
    key: index
  }, /*#__PURE__*/_react.default.createElement("span", null, data), /*#__PURE__*/_react.default.createElement("i", {
    onClick: () => HandleDelete(index)
  }, "x")))), /*#__PURE__*/_react.default.createElement("input", {
    className: "chipInput",
    type: "text",
    placeholder: "Please tap on Enter or Comma to add a chip\u2026",
    onKeyUp: HandleOnKeyUp
  })));
}