"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

require("core-js/modules/es.string.includes.js");

var _react = _interopRequireWildcard(require("react"));

var _bi = require("react-icons/bi");

require("./dropdown.css");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const Dropdown = _ref => {
  let {
    value,
    id,
    label,
    options,
    prompt,
    onChange
  } = _ref;
  const [active, setActive] = (0, _react.useState)(false);
  const [searchInput, setSearchInput] = (0, _react.useState)("");
  const [searchOutput, setSearchOutput] = (0, _react.useState)([]);

  const searchFilter = searchValue => {
    setSearchInput(searchValue);

    if (searchInput !== "") {
      const filteredData = options.filter(item => {
        return item[label].toLowerCase().includes(searchInput.toLowerCase());
      });
      setSearchOutput(filteredData);
    } else {
      setSearchOutput(options);
    }
  };

  return /*#__PURE__*/_react.default.createElement("div", {
    className: "drop-down"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "dropdown-wrapper",
    onClick: () => setActive(prev => !prev)
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "selected-option"
  }, value ? value[label] : prompt), /*#__PURE__*/_react.default.createElement(_bi.BiCaretDown, {
    className: "arrow ".concat(active ? "active" : null)
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: "options ".concat(active ? "active" : null)
  }, /*#__PURE__*/_react.default.createElement("input", {
    type: "text",
    name: "search",
    placeholder: "Search Country",
    autoComplete: "off",
    onChange: e => searchFilter(e.target.value),
    onClick: () => setActive(prev => !prev)
  }), searchInput.length >= 1 ? searchOutput.map(option => {
    return /*#__PURE__*/_react.default.createElement("div", {
      key: option[id],
      className: "option ".concat(value === option ? "selected" : null),
      onClick: () => {
        onChange(option);
        setActive(false);
      }
    }, option[label]);
  }) : options.map(option => /*#__PURE__*/_react.default.createElement("div", {
    key: option[id],
    className: "option ".concat(value === option ? "selected" : null),
    onClick: () => {
      onChange(option);
      setActive(false);
    }
  }, option[label])))));
};

var _default = Dropdown;
exports.default = _default;