"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FormItem = void 0;

var _react = _interopRequireDefault(require("react"));

var _input = _interopRequireDefault(require("../Input/input"));

var _box = _interopRequireDefault(require("../Box/box"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const FormItem = _ref => {
  let {
    type,
    placeholder,
    defaultValue,
    handler,
    readonly,
    icon,
    siblings,
    inputStyle: style
  } = _ref;
  // let STYLE = {}
  return siblings && siblings.length ? /*#__PURE__*/_react.default.createElement(_box.default, {
    display: 'flex',
    direction: 'row'
  }, /*#__PURE__*/_react.default.createElement(_input.default, {
    style: style,
    type: type,
    placeholder: placeholder,
    value: defaultValue,
    onChange: handler,
    readonly: readonly
  }), siblings.map(sibling => /*#__PURE__*/_react.default.createElement(_input.default, {
    style: style,
    type: sibling.type,
    placeholder: sibling.placeholder,
    value: sibling.defaultValue,
    onChange: sibling.handler,
    readonly: sibling.readonly
  }))) : /*#__PURE__*/_react.default.createElement(_input.default, {
    style: style,
    type: type,
    placeholder: placeholder,
    value: defaultValue,
    onChange: handler,
    readonly: readonly
  });
};

exports.FormItem = FormItem;