"use strict";

require("core-js/modules/es.object.assign.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _templateObject, _templateObject2, _templateObject3;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const InputField = props => {
  const Style = _objectSpread({}, props.style);

  const [outline, setOutline] = (0, _react.useState)(false);
  return /*#__PURE__*/_react.default.createElement(Container, {
    iconPosition: props.iconPosition,
    style: Style,
    outline: outline,
    outlineColor: props.outlineColor,
    borderRadius: props.borderRadius
  }, props.Icon && /*#__PURE__*/_react.default.createElement(Icon, {
    iconPosition: props.iconPosition,
    borderRadius: props.borderRadius
  }, props.Icon), /*#__PURE__*/_react.default.createElement(Input, _extends({
    onFocus: () => setOutline(true),
    style: Style,
    onBlur: () => setOutline(false),
    className: props.className,
    borderRadius: props.borderRadius
  }, props)));
};

InputField.defaultProps = {
  iconPosition: "left"
};
InputField.InputField = {
  Icon: _propTypes.default.element,
  iconPosition: _propTypes.default.oneOf(["left", "right"])
};

const Input = _styledComponents.default.input(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  width: 100%;\n  height: 30px;\n  outline:none;\n  border: none;\n  color: grey;\n  border-radius:", "; \n"])), props => props.borderRadius ? props.borderRadius : "5px");

const Container = _styledComponents.default.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  display: flex;\n  flex-direction: ", ";\n  margin-bottom: ", ";\n  \n  border-radius:", "; ;\n  border-width: 1px;\n    border-style: solid;\n    appearance: auto;\n  border-color: ", ";\n"])), props => props.iconPosition === "right" ? "row-reverse" : "row", props => props.marginBottom || "10px", props => props.borderRadius ? props.borderRadius : "5px", props => props.outline === true ? props.outlineColor : "black");

let isLeft = "{border-bottom-left-radius :5px; border-top-left-radius :5px}";
let isRight = "{border-top-right-radius :5px; border-bottom-right-radius :5px}";

const Icon = _styledComponents.default.span(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\nbackground-color:", ";\ncolor:", ";\nborder-left:", " ;\nborder-right:", " ;\n", "\ndisplay: flex;\njustify-content: center;\nalign-items: center;\nalign-content: center;\nwidth: 30px;\nheight: inherit;\n"])), props => props.primary || "black", props => props.textColor || "white", props => props.iconPosition === "right" && "none", props => props.iconPosition === "left" && "none", props => props.iconPosition === "left" ? isLeft || props.iconPosition === "right" ? isRight : "" : "");

var _default = InputField;
exports.default = _default;