"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

require("core-js/modules/es.string.includes.js");

var _react = _interopRequireWildcard(require("react"));

var _fa = require("react-icons/fa");

var _data = _interopRequireDefault(require("./data"));

require("./search.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const Search = () => {
  const [loop, setLoop] = (0, _react.useState)(_data.default);
  const [search, setSearch] = (0, _react.useState)([]);
  const [addSearch, setAddSearch] = (0, _react.useState)();
  const [addQuery, setAddQuery] = (0, _react.useState)();
  const [query, setQuery] = (0, _react.useState)("");
  const [showLoop, setShowLoop] = (0, _react.useState)(false);
  const [isChecked, setIsChecked] = (0, _react.useState)(false);

  const handleChange = e => {
    const {
      id
    } = e.target;

    if (search.includes(id)) {
      setSearch(search.filter(item => !id.includes(item)));
    } else {
      setSearch(search => [...search, id]);
    }
  };

  const handleChangeAll = e => {
    setIsChecked(!isChecked);
    setSearch([]);

    if (!isChecked) {
      if (query !== "") {
        setAddSearch(addQuery);
      } else {
        setAddSearch(loop);
      }
    } else {
      setAddSearch();
      setShowLoop(false);
      setQuery("");
    }
  };

  const handleChangeField = e => {
    const {
      value
    } = e.target;
    setQuery(value);

    const queryList = _data.default.filter(item => item.name.toLowerCase().includes(value.toLowerCase()));

    setAddQuery(queryList);
  };

  return /*#__PURE__*/_react.default.createElement("div", {
    className: "selectBody"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "subBody"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "selectField",
    onClick: () => {
      setShowLoop(!showLoop);
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "selectCenter"
  }, addSearch ? addSearch.map((item, key) => /*#__PURE__*/_react.default.createElement("p", {
    className: "selected",
    key: key
  }, item.name)) : search.length !== 0 ? search.map((item, key) => /*#__PURE__*/_react.default.createElement("p", {
    className: "selected",
    key: key
  }, item)) : /*#__PURE__*/_react.default.createElement("p", null, "Select Country")), /*#__PURE__*/_react.default.createElement(_fa.FaAngleDown, {
    className: "dropDown"
  })), showLoop && /*#__PURE__*/_react.default.createElement("div", {
    className: "loopBody"
  }, /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("div", {
    className: "loopHeader"
  }, /*#__PURE__*/_react.default.createElement("input", {
    className: "checker",
    type: "checkbox",
    id: "selectAll",
    onChange: handleChangeAll
  }), " ", /*#__PURE__*/_react.default.createElement("div", {
    className: "loopInputBody"
  }, /*#__PURE__*/_react.default.createElement("input", {
    className: "loopInput",
    type: "text",
    onChange: handleChangeField
  }), /*#__PURE__*/_react.default.createElement(_fa.FaSearch, null)), /*#__PURE__*/_react.default.createElement(_fa.FaTimes, {
    style: {
      cursor: "pointer"
    },
    onClick: () => setShowLoop(false)
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "itemLoopBody"
  }, query === "" ? loop.map((item, key) => /*#__PURE__*/_react.default.createElement("div", {
    className: "loopItem",
    key: key
  }, /*#__PURE__*/_react.default.createElement("input", {
    className: "check, checker",
    type: "checkbox",
    id: item.name,
    checked: addSearch && isChecked,
    onChange: handleChange
  }), " ", /*#__PURE__*/_react.default.createElement("label", {
    className: "loopText",
    htmlFor: item.name
  }, item.name))) : addQuery.map((item, key) => /*#__PURE__*/_react.default.createElement("div", {
    className: "loopItem",
    key: key
  }, /*#__PURE__*/_react.default.createElement("input", {
    className: "check, checker",
    type: "checkbox",
    id: item.name,
    checked: addSearch && isChecked,
    onChange: handleChange
  }), " ", /*#__PURE__*/_react.default.createElement("label", {
    className: "loopText",
    htmlFor: item.name
  }, item.name))))), /*#__PURE__*/_react.default.createElement("p", {
    className: "loopFooter"
  }, addSearch ? addSearch.length : search.length, " item selected"))));
};

var _default = Search;
exports.default = _default;