"use strict";

require("core-js/modules/web.dom-collections.iterator.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AppTopbar = void 0;

var _classnames = _interopRequireDefault(require("classnames"));

var _topBarStyle = require("./topBar.style.js");

var _react = _interopRequireWildcard(require("react"));

var _toast = require("primereact/toast");

var _menubar = require("primereact/menubar");

var _reactRouterDom = require("react-router-dom");

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _fa = require("react-icons/fa");

var _templateObject;

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

let user = "sixtus";
let amount = "2,000";

const TopBalance = _styledComponents.default.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  width: 100%;\n  display: flex;\n  justify-content: flex-end;\n\n  .b-wrapper {\n    display: flex;\n    align-items: center;\n    width: 60%;\n    .btc-div {\n      width: 30%;\n      background-color: #f2f6fe;\n      align-items: center;\n      border-top-left-radius: 100px;\n      border-bottom-left-radius: 100px;\n      color: blue;\n      padding: 5px;\n      align-content:center;\n    }\n    .usd-div {\n      width: 25%;\n      background-color: white;\n      align-items: center;\n      border-top-right-radius: 100px;\n      border-bottom-right-radius: 100px;\n      /* color: #DDDFE2; */\n      color: gray;\n      padding: 5px;\n      border: 1px solid;\n      font-weight: bold;\n      margin-left: 5px;\n    }\n  }\n"])));

const AppTopbar = props => {
  const navigate = (0, _reactRouterDom.useNavigate)(); // drop down list

  const toast = (0, _react.useRef)(null);
  const items = [{
    label: "".concat(user.toLowerCase()),
    icon: "pi pi-fw pi-user",
    items: [{
      label: "Account",
      icon: "pi pi-fw pi-user-plus",
      to: "/account/".concat(user, "/account"),
      command: () => {
        navigate("/account/".concat(user, "/account"));
      }
    }, {
      label: "Settings",
      icon: "pi pi-fw pi-cog",
      to: "/account/".concat(user, "/settings"),
      command: () => {
        navigate("/account/".concat(user, "/settings"));
      }
    }, {
      label: "Logout",
      icon: "pi pi-fw pi-sign-out",
      to: "/",
      command: () => {
        navigate("/account/login");
      }
    }]
  }];
  let ok;

  if (typeof window !== "undefined") {
    ok = sessionStorage.getItem("balance");
  }

  return /*#__PURE__*/_react.default.createElement(_topBarStyle.Nav, null, /*#__PURE__*/_react.default.createElement(_toast.Toast, {
    ref: toast
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: "layout-topbar"
  }, /*#__PURE__*/_react.default.createElement("a", {
    href: "/",
    className: "layout-topbar-logo"
  }), /*#__PURE__*/_react.default.createElement("button", {
    type: "button",
    className: "p-link  layout-menu-button layout-topbar-button",
    onClick: props.onToggleMenuClick
  }, /*#__PURE__*/_react.default.createElement("i", {
    className: "pi pi-bars"
  })), /*#__PURE__*/_react.default.createElement("button", {
    type: "button",
    className: "p-link layout-topbar-menu-button layout-topbar-button",
    onClick: props.onMobileTopbarMenuClick
  }, /*#__PURE__*/_react.default.createElement("i", {
    className: "pi pi-ellipsis-v"
  })), /*#__PURE__*/_react.default.createElement("ul", {
    className: (0, _classnames.default)("layout-topbar-menu lg:flex origin-top", {}) // className={classNames("layout-topbar-menu lg:flex origin-top", {
    //   "layout-topbar-menu-mobile-active": props.mobileTopbarMenuActive,
    // })}

  }, /*#__PURE__*/_react.default.createElement(_reactRouterDom.Link, {
    href: "/admin/sixtus/profile",
    style: {
      color: "white"
    }
  }, /*#__PURE__*/_react.default.createElement("a", null, /*#__PURE__*/_react.default.createElement("i", {
    className: "pi pi-fw pi-user-plus"
  }), "Account")), /*#__PURE__*/_react.default.createElement("li", {
    style: {
      color: "white"
    }
  }, /*#__PURE__*/_react.default.createElement("i", {
    className: "pi pi-fw pi-user-minus"
  }), "Settings"), /*#__PURE__*/_react.default.createElement("li", {
    style: {
      color: "white"
    }
  }, /*#__PURE__*/_react.default.createElement("i", {
    className: "pi pi-fw pi-users"
  }), "Loggout"), /*#__PURE__*/_react.default.createElement("ul", {
    className: (0, _classnames.default)("layout-topbar-menu origin-top")
  }, /*#__PURE__*/_react.default.createElement(_menubar.Menubar, {
    model: items,
    style: {
      border: "none",
      margin: "3rem"
    }
  })))));
};

exports.AppTopbar = AppTopbar;